Skip to main content
POST
/
public
/
v1
/
opportunities
/
top
Top sales-outreach opportunities
curl --request POST \
  --url http://app.stairoids.com/api/public/v1/opportunities/top \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "afterTime": 0,
  "beforeTime": 0,
  "icpIds": [
    123
  ],
  "accountListIds": [
    123
  ],
  "page": 0,
  "size": 20
}
'
{
  "data": [
    {
      "company": {
        "companyId": 4521,
        "name": "Acme Corp",
        "domain": "acme.com",
        "industry": "Software",
        "country": "Netherlands",
        "city": "Amsterdam",
        "employeeCount": 250,
        "companySize": "201-500",
        "linkedInUrl": "https://www.linkedin.com/company/acme",
        "totalScore": 87,
        "icpMatched": true,
        "icpId": 7,
        "icpName": "Mid-market SaaS",
        "rankedLeadScoreId": 55231,
        "logoUrl": "<string>",
        "funnelStageId": 12,
        "funnelStage": "Hot",
        "labels": [
          {
            "id": 5,
            "name": "Strategic",
            "color": "#73d89c",
            "userGenerated": true
          }
        ],
        "latestActivityTimestamp": 1719500000000
      },
      "person": {
        "publicIdentifier": "jane-doe-123",
        "name": "Jane Doe",
        "headline": "VP of Marketing",
        "linkedInUrl": "<string>",
        "profilePicture": "<string>"
      },
      "personScore": 42,
      "funnelStageId": 12
    }
  ],
  "page": 0,
  "size": 20,
  "totalElements": 137,
  "totalPages": 7
}

Authorizations

X-Api-Key
string
header
required

Your organization's public API key. Manage it at GET /api/user/public-api-key.

Body

application/json

Request for the top sales-outreach opportunities.

afterTime
integer<int64>

Only count activity at/after this epoch-millis timestamp. 0 or null = all time.

Example:

0

beforeTime
integer<int64>

Only count activity before this epoch-millis timestamp. 0 or null = no upper bound.

Example:

0

icpIds
integer<int64>[]

Restrict to these ICP ids. Null or empty = all ICPs.

Restrict to these ICP ids. Null or empty = all ICPs.

accountListIds
integer<int64>[]

Restrict to these account-list ids. Null or empty = all lists.

Restrict to these account-list ids. Null or empty = all lists.

page
integer<int32>
default:0

Zero-based page index.

Example:

0

size
integer<int32>
default:20

Page size (clamped to 100).

Example:

20

Response

OK

A page of results.

data
object[]

The items on this page.

page
integer<int32>

Zero-based page index.

Example:

0

size
integer<int32>

Requested page size.

Example:

20

totalElements
integer<int64>

Total number of matching items across all pages.

Example:

137

totalPages
integer<int32>

Total number of pages.

Example:

7